{
    "doc": "Model that captures approximate duration of labour duration (this is the onset of regular contractions until delivery of placenta).",
    "fields": [
        {
            "doc": "First stage (from 3cm and regular contractions) in hours.",
            "name": "firstStageHourDuration",
            "type": [
                "null",
                "float"
            ]
        },
        {
            "doc": "Second stage (pushing) in hours.",
            "name": "secondStageHourDuration",
            "type": [
                "null",
                "float"
            ]
        },
        {
            "doc": "Third stage (delivery of placenta) in minutes.",
            "name": "thirdStageMinuteDuration",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "Date and time of labour onset.\nString in ISO 8601 format with timezone and no microsecond.\nformat: %Y-%m-%dT%H:%M:%S+00:00\ne.g.: 2020-03-20T14:31:43+01:00",
            "name": "dateAndTimeOfLabourOnset",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "DurationOfLabour",
    "namespace": "org.gel.models.participant.avro",
    "type": "record"
}